CUDA_TEXTURE_DESC(3)

NAME
CUDA_TEXTURE_DESC -

SYNOPSIS

  Data Fields

CUaddress_mode addressMode [3]
CUfilter_mode filterMode
unsigned int maxAnisotropy
float maxMipmapLevelClamp
float minMipmapLevelClamp
CUfilter_mode mipmapFilterMode
float mipmapLevelBias

Detailed Description

Texture descriptor

Field Documentation

  CUaddress_mode CUDA_TEXTURE_DESC::addressMode[3]

Address modes

  CUfilter_mode CUDA_TEXTURE_DESC::filterMode

Filter mode

  unsigned int CUDA_TEXTURE_DESC::maxAnisotropy

Maximum anisotropy ratio

  float CUDA_TEXTURE_DESC::maxMipmapLevelClamp

Mipmap maximum level clamp

  float CUDA_TEXTURE_DESC::minMipmapLevelClamp

Mipmap minimum level clamp

  CUfilter_mode CUDA_TEXTURE_DESC::mipmapFilterMode

Mipmap filter mode

  float CUDA_TEXTURE_DESC::mipmapLevelBias

Mipmap level bias

Author

Generated automatically by Doxygen from the source code.